Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network116.22.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
116.22.0.0
Broadcast address
116.22.31.255
First usable
116.22.0.1
Last usable
116.22.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 74160000 · Integer 1947598848 to 1947607039
Reverse DNS zones
0.22.116.in-addr.arpa
1.22.116.in-addr.arpa
2.22.116.in-addr.arpa
3.22.116.in-addr.arpa
4.22.116.in-addr.arpa
5.22.116.in-addr.arpa
6.22.116.in-addr.arpa
7.22.116.in-addr.arpa
8.22.116.in-addr.arpa
9.22.116.in-addr.arpa
10.22.116.in-addr.arpa
11.22.116.in-addr.arpa
12.22.116.in-addr.arpa
13.22.116.in-addr.arpa
14.22.116.in-addr.arpa
15.22.116.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110100.00010110.00000000.00000000116.22.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01110100.00010110.00000000.00000000116.22.0.0
Broadcast01110100.00010110.00011111.11111111116.22.31.255
Split into smaller subnets/26

116.22.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1116.22.0.0/26116.22.0.1 to 116.22.0.62116.22.0.6362
2116.22.0.64/26116.22.0.65 to 116.22.0.126116.22.0.12762
3116.22.0.128/26116.22.0.129 to 116.22.0.190116.22.0.19162
4116.22.0.192/26116.22.0.193 to 116.22.0.254116.22.0.25562
5116.22.1.0/26116.22.1.1 to 116.22.1.62116.22.1.6362
6116.22.1.64/26116.22.1.65 to 116.22.1.126116.22.1.12762
7116.22.1.128/26116.22.1.129 to 116.22.1.190116.22.1.19162
8116.22.1.192/26116.22.1.193 to 116.22.1.254116.22.1.25562
9116.22.2.0/26116.22.2.1 to 116.22.2.62116.22.2.6362
10116.22.2.64/26116.22.2.65 to 116.22.2.126116.22.2.12762
11116.22.2.128/26116.22.2.129 to 116.22.2.190116.22.2.19162
12116.22.2.192/26116.22.2.193 to 116.22.2.254116.22.2.25562
13116.22.3.0/26116.22.3.1 to 116.22.3.62116.22.3.6362
14116.22.3.64/26116.22.3.65 to 116.22.3.126116.22.3.12762
15116.22.3.128/26116.22.3.129 to 116.22.3.190116.22.3.19162
16116.22.3.192/26116.22.3.193 to 116.22.3.254116.22.3.25562
17116.22.4.0/26116.22.4.1 to 116.22.4.62116.22.4.6362
18116.22.4.64/26116.22.4.65 to 116.22.4.126116.22.4.12762
19116.22.4.128/26116.22.4.129 to 116.22.4.190116.22.4.19162
20116.22.4.192/26116.22.4.193 to 116.22.4.254116.22.4.25562
21116.22.5.0/26116.22.5.1 to 116.22.5.62116.22.5.6362
22116.22.5.64/26116.22.5.65 to 116.22.5.126116.22.5.12762
23116.22.5.128/26116.22.5.129 to 116.22.5.190116.22.5.19162
24116.22.5.192/26116.22.5.193 to 116.22.5.254116.22.5.25562
25116.22.6.0/26116.22.6.1 to 116.22.6.62116.22.6.6362
26116.22.6.64/26116.22.6.65 to 116.22.6.126116.22.6.12762
27116.22.6.128/26116.22.6.129 to 116.22.6.190116.22.6.19162
28116.22.6.192/26116.22.6.193 to 116.22.6.254116.22.6.25562
29116.22.7.0/26116.22.7.1 to 116.22.7.62116.22.7.6362
30116.22.7.64/26116.22.7.65 to 116.22.7.126116.22.7.12762
31116.22.7.128/26116.22.7.129 to 116.22.7.190116.22.7.19162
32116.22.7.192/26116.22.7.193 to 116.22.7.254116.22.7.25562
33116.22.8.0/26116.22.8.1 to 116.22.8.62116.22.8.6362
34116.22.8.64/26116.22.8.65 to 116.22.8.126116.22.8.12762
35116.22.8.128/26116.22.8.129 to 116.22.8.190116.22.8.19162
36116.22.8.192/26116.22.8.193 to 116.22.8.254116.22.8.25562
37116.22.9.0/26116.22.9.1 to 116.22.9.62116.22.9.6362
38116.22.9.64/26116.22.9.65 to 116.22.9.126116.22.9.12762
39116.22.9.128/26116.22.9.129 to 116.22.9.190116.22.9.19162
40116.22.9.192/26116.22.9.193 to 116.22.9.254116.22.9.25562
41116.22.10.0/26116.22.10.1 to 116.22.10.62116.22.10.6362
42116.22.10.64/26116.22.10.65 to 116.22.10.126116.22.10.12762
43116.22.10.128/26116.22.10.129 to 116.22.10.190116.22.10.19162
44116.22.10.192/26116.22.10.193 to 116.22.10.254116.22.10.25562
45116.22.11.0/26116.22.11.1 to 116.22.11.62116.22.11.6362
46116.22.11.64/26116.22.11.65 to 116.22.11.126116.22.11.12762
47116.22.11.128/26116.22.11.129 to 116.22.11.190116.22.11.19162
48116.22.11.192/26116.22.11.193 to 116.22.11.254116.22.11.25562
49116.22.12.0/26116.22.12.1 to 116.22.12.62116.22.12.6362
50116.22.12.64/26116.22.12.65 to 116.22.12.126116.22.12.12762
51116.22.12.128/26116.22.12.129 to 116.22.12.190116.22.12.19162
52116.22.12.192/26116.22.12.193 to 116.22.12.254116.22.12.25562
53116.22.13.0/26116.22.13.1 to 116.22.13.62116.22.13.6362
54116.22.13.64/26116.22.13.65 to 116.22.13.126116.22.13.12762
55116.22.13.128/26116.22.13.129 to 116.22.13.190116.22.13.19162
56116.22.13.192/26116.22.13.193 to 116.22.13.254116.22.13.25562
57116.22.14.0/26116.22.14.1 to 116.22.14.62116.22.14.6362
58116.22.14.64/26116.22.14.65 to 116.22.14.126116.22.14.12762
59116.22.14.128/26116.22.14.129 to 116.22.14.190116.22.14.19162
60116.22.14.192/26116.22.14.193 to 116.22.14.254116.22.14.25562
61116.22.15.0/26116.22.15.1 to 116.22.15.62116.22.15.6362
62116.22.15.64/26116.22.15.65 to 116.22.15.126116.22.15.12762
63116.22.15.128/26116.22.15.129 to 116.22.15.190116.22.15.19162
64116.22.15.192/26116.22.15.193 to 116.22.15.254116.22.15.25562
65116.22.16.0/26116.22.16.1 to 116.22.16.62116.22.16.6362
66116.22.16.64/26116.22.16.65 to 116.22.16.126116.22.16.12762
67116.22.16.128/26116.22.16.129 to 116.22.16.190116.22.16.19162
68116.22.16.192/26116.22.16.193 to 116.22.16.254116.22.16.25562
69116.22.17.0/26116.22.17.1 to 116.22.17.62116.22.17.6362
70116.22.17.64/26116.22.17.65 to 116.22.17.126116.22.17.12762
71116.22.17.128/26116.22.17.129 to 116.22.17.190116.22.17.19162
72116.22.17.192/26116.22.17.193 to 116.22.17.254116.22.17.25562
73116.22.18.0/26116.22.18.1 to 116.22.18.62116.22.18.6362
74116.22.18.64/26116.22.18.65 to 116.22.18.126116.22.18.12762
75116.22.18.128/26116.22.18.129 to 116.22.18.190116.22.18.19162
76116.22.18.192/26116.22.18.193 to 116.22.18.254116.22.18.25562
77116.22.19.0/26116.22.19.1 to 116.22.19.62116.22.19.6362
78116.22.19.64/26116.22.19.65 to 116.22.19.126116.22.19.12762
79116.22.19.128/26116.22.19.129 to 116.22.19.190116.22.19.19162
80116.22.19.192/26116.22.19.193 to 116.22.19.254116.22.19.25562
81116.22.20.0/26116.22.20.1 to 116.22.20.62116.22.20.6362
82116.22.20.64/26116.22.20.65 to 116.22.20.126116.22.20.12762
83116.22.20.128/26116.22.20.129 to 116.22.20.190116.22.20.19162
84116.22.20.192/26116.22.20.193 to 116.22.20.254116.22.20.25562
85116.22.21.0/26116.22.21.1 to 116.22.21.62116.22.21.6362
86116.22.21.64/26116.22.21.65 to 116.22.21.126116.22.21.12762
87116.22.21.128/26116.22.21.129 to 116.22.21.190116.22.21.19162
88116.22.21.192/26116.22.21.193 to 116.22.21.254116.22.21.25562
89116.22.22.0/26116.22.22.1 to 116.22.22.62116.22.22.6362
90116.22.22.64/26116.22.22.65 to 116.22.22.126116.22.22.12762
91116.22.22.128/26116.22.22.129 to 116.22.22.190116.22.22.19162
92116.22.22.192/26116.22.22.193 to 116.22.22.254116.22.22.25562
93116.22.23.0/26116.22.23.1 to 116.22.23.62116.22.23.6362
94116.22.23.64/26116.22.23.65 to 116.22.23.126116.22.23.12762
95116.22.23.128/26116.22.23.129 to 116.22.23.190116.22.23.19162
96116.22.23.192/26116.22.23.193 to 116.22.23.254116.22.23.25562
97116.22.24.0/26116.22.24.1 to 116.22.24.62116.22.24.6362
98116.22.24.64/26116.22.24.65 to 116.22.24.126116.22.24.12762
99116.22.24.128/26116.22.24.129 to 116.22.24.190116.22.24.19162
100116.22.24.192/26116.22.24.193 to 116.22.24.254116.22.24.25562
101116.22.25.0/26116.22.25.1 to 116.22.25.62116.22.25.6362
102116.22.25.64/26116.22.25.65 to 116.22.25.126116.22.25.12762
103116.22.25.128/26116.22.25.129 to 116.22.25.190116.22.25.19162
104116.22.25.192/26116.22.25.193 to 116.22.25.254116.22.25.25562
105116.22.26.0/26116.22.26.1 to 116.22.26.62116.22.26.6362
106116.22.26.64/26116.22.26.65 to 116.22.26.126116.22.26.12762
107116.22.26.128/26116.22.26.129 to 116.22.26.190116.22.26.19162
108116.22.26.192/26116.22.26.193 to 116.22.26.254116.22.26.25562
109116.22.27.0/26116.22.27.1 to 116.22.27.62116.22.27.6362
110116.22.27.64/26116.22.27.65 to 116.22.27.126116.22.27.12762
111116.22.27.128/26116.22.27.129 to 116.22.27.190116.22.27.19162
112116.22.27.192/26116.22.27.193 to 116.22.27.254116.22.27.25562
113116.22.28.0/26116.22.28.1 to 116.22.28.62116.22.28.6362
114116.22.28.64/26116.22.28.65 to 116.22.28.126116.22.28.12762
115116.22.28.128/26116.22.28.129 to 116.22.28.190116.22.28.19162
116116.22.28.192/26116.22.28.193 to 116.22.28.254116.22.28.25562
117116.22.29.0/26116.22.29.1 to 116.22.29.62116.22.29.6362
118116.22.29.64/26116.22.29.65 to 116.22.29.126116.22.29.12762
119116.22.29.128/26116.22.29.129 to 116.22.29.190116.22.29.19162
120116.22.29.192/26116.22.29.193 to 116.22.29.254116.22.29.25562
121116.22.30.0/26116.22.30.1 to 116.22.30.62116.22.30.6362
122116.22.30.64/26116.22.30.65 to 116.22.30.126116.22.30.12762
123116.22.30.128/26116.22.30.129 to 116.22.30.190116.22.30.19162
124116.22.30.192/26116.22.30.193 to 116.22.30.254116.22.30.25562
125116.22.31.0/26116.22.31.1 to 116.22.31.62116.22.31.6362
126116.22.31.64/26116.22.31.65 to 116.22.31.126116.22.31.12762
127116.22.31.128/26116.22.31.129 to 116.22.31.190116.22.31.19162
128116.22.31.192/26116.22.31.193 to 116.22.31.254116.22.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses